const path = require('path');

const cwd = process.cwd();

const config = {
  presets: [require.resolve('babel-preset-es2015'), require('babel-preset-rax')],
  plugins: ['jsx-strip-ext'].map(plugin => require(`babel-plugin-${plugin}`)),
};

const minifyPresets = [].concat(config.presets, [[require('babel-preset-minify'), { evaluate: false, mangle: false }]]);

config.production = {
  presets: minifyPresets,
  plugins: config.plugins,
  babelrc: false,
};

const reactPlugins = [].concat(
  config.plugins,
  require(path.join(cwd, 'packages/babel-plugin-transform-rax2react/src/index.js'))
);

config['production:react'] = {
  presets: [].concat(config.presets, [[require('babel-preset-minify'), { evaluate: false, mangle: false }]]),
  plugins: reactPlugins,
  babelrc: false,
};

config.babel = {
  presets: minifyPresets,
  plugins: config.plugins.push([
    require('babel-plugin-import-rename'),
    { 'nuke-([\\w-\\d]*)\\/(src)\\/(.\\S+)': 'nuke-$1/lib/$3' },
  ]),
  babelrc: false,
};

module.exports = config;
