'use strict';

import { vLoader } from 'nuke-core';

function VariableMix(theme) {
  const Core = theme.Core;
  const ComponentCustomStyle = theme.Button || {};

  /**
   * 按钮
   * @namespace component
   * @property module button
   * @property tag Button
   * @property category component
   */

  const buttonVariables = {
    /**
     * height
     * @property namespace size/bounding
     */
    'size-s-height': vLoader(Core['s-7']),
    /**
     * height
     * @property namespace size/bounding
     */
    'size-m-height': vLoader(Core['s-8']),
    /**
     * height
     * @property namespace size/bounding
     */
    'size-l-height': vLoader(Core['s-12']),
    /**
     * padding(l, r)
     * @property namespace size/bounding
     */
    'size-s-padding-lr': vLoader(Core['s-4']),
    /**
     * padding(l, r)
     * @property namespace size/bounding
     */
    'size-m-padding-lr': vLoader(Core['s-5']),
    /**
     * padding(l, r)
     * @property namespace size/bounding
     */
    'size-l-padding-lr': vLoader(Core['s-5']),
    /**
     * text
     * @property namespace size/text
     */
    'size-l-font': vLoader(Core['font-size-subhead']),
    /**
     * text
     * @property namespace size/text
     */
    'size-m-font': vLoader(Core['font-size-body-1']),
    /**
     * text
     * @property namespace size/text
     */
    'size-s-font': vLoader(Core['font-size-caption']),
    /**
     * margin(l, r)
     * @property namespace size/icon
     */
    'icon-l-margin-lr': vLoader(Core['s-2']),
    /**
     * margin(l, r)
     * @property namespace size/icon
     */
    'icon-m-margin-lr': vLoader(Core['s-1']),
    /**
     * margin(l, r)
     * @property namespace size/icon
     */
    'icon-s-margin-lr': vLoader(Core['s-1']),
    /**
     * size
     * @property namespace size/icon
     */
    'icon-size-l': vLoader(Core['icon-s']),
    /**
     * size
     * @property namespace size/icon
     */
    'icon-size-m': vLoader(Core['icon-xs']),
    /**
     * size
     * @property namespace size/icon
     */
    'icon-size-s': vLoader(Core['icon-xs']),
    /**
     * corner
     * @property namespace statement/normal
     */
    'corner-l': vLoader(Core['corner-1']),
    /**
     * corner
     * @property namespace statement/normal
     */
    'corner-m': vLoader(Core['corner-1']),
    /**
     * corner
     * @property namespace statement/normal
     */
    'corner-s': vLoader(Core['corner-1']),
    /**
     * width
     * @property namespace size/border
     */
    'border-width-l': vLoader(Core['line-1']),
    /**
     * width
     * @property namespace size/border
     */
    'border-width-m': vLoader(Core['line-1']),
    /**
     * width
     * @property namespace size/border
     */
    'border-width-s': vLoader(Core['line-1']),
    /**
     * border-style
     * @property namespace statement
     */
    'normal-line-style': vLoader(Core['line-solid']),
    /**
     * text
     * @property namespace statement/disabled
     */
    'normal-disabled-color': vLoader(Core['color-text1-1']),
    /**
     * background
     * @property namespace statement/disabled
     */
    'normal-disabled-bg-color': vLoader(Core['color-fill1-2']),
    /**
     * border
     * @property namespace statement/disabled
     */
    'normal-disabled-border-color': vLoader(Core['color-line1-1']),
    /**
     * color
     * @property namespace statement/normal
     */
    'normal-color': vLoader(Core['color-text1-3']),
    /**
     * background
     * @property namespace statement/normal
     */
    'normal-bg-color': vLoader(Core['color-white']),
    /**
     * border
     * @property namespace statement/normal
     */
    'normal-border-color': vLoader(Core['color-line1-2']),
    /**
     * text
     * @property namespace statement/selected
     */
    'normal-active-color': vLoader(Core['color-text1-3']),
    /**
     * border
     * @property namespace statement/selected
     */
    'normal-active-border-color': vLoader(Core['color-line1-2']),
    /**
     * background
     * @property namespace statement/selected
     */
    'normal-active-bg-color': vLoader(Core['color-fill1-2']),
    /**
     * text
     * @property namespace statement/normal
     */
    'prim-color': vLoader(Core['color-white']),
    /**
     * background
     * @property namespace statement/normal
     */
    'prim-bg-color': vLoader(Core['color-brand1-6']),
    /**
     * border
     * @property namespace statement/normal
     */
    'prim-border-color': vLoader(Core['color-brand1-6']),
    /**
     * text
     * @property namespace statement/selected
     */
    'prim-active-color': vLoader(Core['color-white']),
    /**
     * background
     * @property namespace statement/selected
     */
    'prim-active-bg-color': vLoader(Core['color-brand1-9']),
    /**
     * border
     * @property namespace statement/selected
     */
    'prim-active-border-color': vLoader(Core['color-brand1-9']),
    /**
     * text
     * @property namespace statement/disabled
     */
    'prim-disabled-color': vLoader(Core['color-text1-1']),
    /**
     * background
     * @property namespace statement/disabled
     */
    'prim-disabled-bg-color': vLoader(Core['color-fill1-2']),
    /**
     * border
     * @property namespace statement/disabled
     */
    'prim-disabled-border-color': vLoader(Core['color-line1-1']),
    /**
     * text
     * @property namespace statement/normal
     */
    'second-color': vLoader(Core['color-brand1-6']),
    /**
     * background
     * @property namespace statement/normal
     */
    'second-bg-color': vLoader(Core['color-white']),
    /**
     * border
     * @property namespace statement/normal
     */
    'second-border-color': vLoader(Core['color-brand1-6']),
    /**
     * text
     * @property namespace statement/selected
     */
    'second-active-color': vLoader(Core['color-brand1-6']),
    /**
     * background
     * @property namespace statement/selected
     */
    'second-active-bg-color': vLoader(Core['color-brand1-1']),
    /**
     * border
     * @property namespace statement/selected
     */
    'second-active-border-color': vLoader(Core['color-brand1-6']),
    /**
     * text
     * @property namespace statement/disabled
     */
    'second-disabled-color': vLoader(Core['color-text1-1']),
    /**
     * background
     * @property namespace statement/disabled
     */
    'second-disabled-bg-color': vLoader(Core['color-fill1-2']),
    /**
     * border
     * @property namespace statement/disabled
     */
    'second-disabled-border-color': vLoader(Core['color-line1-1']),
    /**
     * text
     * @property namespace statement/normal
     */
    'third-color': vLoader(Core['color-white']),
    /**
     * background
     * @property namespace statement/normal
     */
    'third-bg-color': vLoader(Core['color-brand1-9']),
    /**
     * border
     * @property namespace statement/normal
     */
    'third-border-color': vLoader(Core['color-brand1-6']),
    /**
     * text
     * @property namespace statement/selected
     */
    'third-active-color': vLoader(Core['color-white']),
    /**
     * background
     * @property namespace statement/selected
     */
    'third-active-bg-color': vLoader(Core['color-brand1-9']),
    /**
     * border
     * @property namespace statement/selected
     */
    'third-active-border-color': vLoader(Core['color-brand1-6']),
    /**
     * text
     * @property namespace statement/disabled
     */
    'third-disabled-color': vLoader(Core['color-text1-1']),
    /**
     * background
     * @property namespace statement/disabled
     */
    'third-disabled-bg-color': vLoader(Core['color-fill1-2']),
    /**
     * border
     * @property namespace statement/disabled
     */
    'third-disabled-border-color': vLoader(Core['color-line1-1']),

    /**
     * border-style
     * @property namespace statement
     */
    'w-line-style': vLoader(Core['line-solid']),
    /**
     * text
     * @property namespace statement
     */
    'w-normal-color': vLoader(Core['color-error-2']),
    /**
     * background
     * @property namespace statement
     */
    'w-normal-bg-color': vLoader(Core['color-white']),
    /**
     * border
     * @property namespace statement
     */
    'w-normal-border-color': vLoader(Core['color-error-2']),
    /**
     * text
     * @property namespace statement/selected
     */
    'w-normal-active-color': vLoader(Core['color-error-2']),
    /**
     * background
     * @property namespace statement/selected
     */
    'w-normal-active-bg-color': vLoader(Core['color-error-3']),
    /**
     * border
     * @property namespace statement/selected
     */
    'w-normal-active-border-color': vLoader(Core['color-error-2']),

    /**
     * text
     * @property namespace statement
     */
    'w-prim-color': vLoader(Core['color-white']),
    /**
     * background
     * @property namespace statement
     */
    'w-prim-bg-color': vLoader(Core['color-error-2']),
    /**
     * border
     * @property namespace statement
     */
    'w-prim-border-color': vLoader(Core['color-error-2']),
    /**
     * text
     * @property namespace statement/active
     */
    'w-prim-active-color': vLoader(Core['color-white']),
    /**
     * background
     * @property namespace statement/active
     */
    'w-prim-active-bg-color': vLoader(Core['color-error-3']),
    /**
     * border
     * @property namespace statement/active
     */
    'w-prim-active-border-color': vLoader(Core['color-error-2']),
    /**
     * text
     * @property namespace statement/disabled
     */
    'w-prim-disabled-color': vLoader(Core['color-text1-1']),
    /**
     * background
     * @property namespace statement/disabled
     */
    'w-prim-disabled-bg-color': vLoader(Core['color-fill1-2']),
    /**
     * border
     * @property namespace statement/disabled
     */
    'w-prim-disabled-border-color': vLoader(Core['color-line1-1']),
    /**
     * text
     * @property namespace statement/disabled
     */
    'w-disabled-color': vLoader(Core['color-text1-1']),
    /**
     * background
     * @property namespace statement/disabled
     */
    'w-disabled-bg-color': vLoader(Core['color-fill1-2']),
    /**
     * border
     * @property namespace statement/disabled
     */
    'w-disabled-border-color': vLoader(Core['color-line1-1']),
    /**
     * size
     * @property namespace size/bounding
     */
    'icon-l-size': vLoader(Core['icon-l']),
    /**
     * size
     * @property namespace size/bounding
     */
    'icon-m-size': vLoader(Core['icon-m']),
    /**
     * size
     * @property namespace size/bounding
     */
    'icon-s-size': vLoader(Core['icon-s']),
    /**
     * height
     * @property namespace size/bounding
     */
    'icon-l-height': vLoader(Core['s-10']),
    /**
     * height
     * @property namespace size/bounding
     */
    'icon-m-height': vLoader(Core['s-7']),
    /**
     * height
     * @property namespace size/bounding
     */
    'icon-s-height': vLoader(Core['s-5']),
    /**
     * group-margin
     * @property namespace size/bounding
     */
    'group-margin': vLoader(Core['s-2']),
  };

  // should alway use var statement to carray a assigngg
  const variable = Object.assign(buttonVariables, ComponentCustomStyle);

  return variable;
}

module.exports = VariableMix;
