/** @jsx createElement */

'use strict';

import { createElement, Component, PropTypes } from 'rax';
import Env from 'nuke-env';
import View from 'nuke-view';

const { isWeex } = Env;

class Cell extends Component {
  static contextTypes = {
    isInARecyclerView: PropTypes.bool,
  };

  render() {
    const { append = 'tree', ...others } = this.props;
    if (isWeex && this.context.isInARecyclerView) {
      return <cell append={append} {...others} />;
    }
    return <View {...others} />;
  }
}
export default Cell;
