'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.padding = padding;
exports.margin = margin;
exports.border = border;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function padding() {
  var pt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
  var pr = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : pt;
  var pb = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : pt;
  var pl = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : pr;

  return {
    paddingTop: pt,
    paddingRight: pr,
    paddingBottom: pb,
    paddingLeft: pl
  };
}
function margin() {
  var pt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
  var pr = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : pt;
  var pb = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : pt;
  var pl = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : pr;

  return {
    marginTop: pt,
    marginRight: pr,
    marginBottom: pb,
    marginLeft: pl
  };
}

function border() {
  var width = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 1;
  var style = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'solid';
  var color = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '#ffffff';
  var direction = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : null;

  if (typeof width === 'string' && width.indexOf('px') > -1) {
    width = width.split('px')[0] * 2;
  }
  if (direction) {
    var _ref;

    var x = direction[0].toUpperCase() + direction.slice(1);
    return _ref = {}, _defineProperty(_ref, 'border' + x + 'Width', width), _defineProperty(_ref, 'border' + x + 'Style', style), _defineProperty(_ref, 'border' + x + 'Color', color), _ref;
  }
  return {
    borderWidth: width,
    borderStyle: style,
    borderColor: color
  };
}