'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _varLoader = require('../util/var-loader');

var fontFamilyBase = (0, _varLoader.vLoader)('Roboto, "Helvetica Neue", Helvetica, Tahoma, Arial, "PingFang SC", "Microsoft YaHei"');
var fontSizeDisplay3 = (0, _varLoader.vLoader)(112);
var fontSizeDisplay2 = (0, _varLoader.vLoader)(96);
var fontSizeDisplay1 = (0, _varLoader.vLoader)(72);
var fontSizeHeadline = (0, _varLoader.vLoader)(48, 40);
var fontSizeTitle = (0, _varLoader.vLoader)(40, 34);
var fontSizeSubhead = (0, _varLoader.vLoader)(32);
var fontSizeBody3 = (0, _varLoader.vLoader)(28, 30);
var fontSizeBody2 = (0, _varLoader.vLoader)(28, 26);
var fontSizeBody1 = (0, _varLoader.vLoader)(28, 24);
var fontSizeCaption = (0, _varLoader.vLoader)(24, 22);
var fontWeight1 = (0, _varLoader.vLoader)(300);
var fontWeight2 = (0, _varLoader.vLoader)(600);
var fontWeight3 = (0, _varLoader.vLoader)(900);
var fontLineHeight1 = (0, _varLoader.vLoader)(1.3);
var fontLineHeight2 = (0, _varLoader.vLoader)(1.5);
var fontLineHeight3 = (0, _varLoader.vLoader)(1.7);

/**
 * 字体
 * @namespace component
 * @property module font
 * @property category style
 */

var varMap = {
  /**
   * family
   * @property semantic 字体
   * @property export
   */
  'font-family-base': fontFamilyBase,

  /**
   * display-3
   * @property semantic 运营标题-大
   * @property export size
   */
  'font-size-display-3': fontSizeDisplay3,
  /**
   * display-2
   * @property semantic 运营标题-中
   * @property export size
   */
  'font-size-display-2': fontSizeDisplay2,
  /**
   * display-1
   * @property semantic 运营标题-小
   * @property export size
   */
  'font-size-display-1': fontSizeDisplay1,
  /**
   * headline
   * @property semantic 标题-大
   * @property export size
   */
  'font-size-headline': fontSizeHeadline,
  /**
   * title
   * @property semantic 标题-中
   * @property export size
   */
  'font-size-title': fontSizeTitle,
  /**
   * subhead
   * @property semantic 标题-小
   * @property export size
   */
  'font-size-subhead': fontSizeSubhead,
  /**
   * body-3
   * @property semantic 正文
   * @property export size
   */
  'font-size-body-3': fontSizeBody3,
  /**
   * body-2
   * @property semantic 正文-强调
   * @property export size
   */
  'font-size-body-2': fontSizeBody2,
  /**
   * body-1
   * @property semantic 正文-常规
   * @property export size
   */
  'font-size-body-1': fontSizeBody1,

  /**
   * caption
   * @property semantic 水印文本
   * @property export size
   */
  'font-size-caption': fontSizeCaption,
  /**
   * light
   * @property semantic 细体
   * @property export weightcore
   */
  'font-weight-1': fontWeight1,
  /**
   * regular
   * @property semantic 常规
   * @property export weightcore
   */
  'font-weight-2': fontWeight2,
  /**
   * bold
   * @property semantic 粗体
   * @property export weightcore
   */
  'font-weight-3': fontWeight3,
  /**
   * lineheight-1
   * @property semantic 密集
   * @property export lineheight
   */
  'font-lineheight-1': fontLineHeight1,
  /**
   * lineheight-2
   * @property semantic 常规
   * @property export lineheight
   */
  'font-lineheight-2': fontLineHeight2,
  /**
   * lineheight-3
   * @property semantic 宽松
   * @property export lineheight
   */
  'font-lineheight-3': fontLineHeight3
};

exports.default = varMap;
module.exports = exports['default'];