'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _varLoader = require('../util/var-loader');

var _size = require('./size');

var size = _interopRequireWildcard(_size);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var iconXxs = (0, _varLoader.vLoader)(size['s-2']);
var iconXs = (0, _varLoader.vLoader)(size['s-3']);
var iconS = (0, _varLoader.vLoader)(size['s-4']);
var iconM = (0, _varLoader.vLoader)(size['s-5']);
var iconL = (0, _varLoader.vLoader)(size['s-6']);
var iconXl = (0, _varLoader.vLoader)(size['s-8']);
var iconXxl = (0, _varLoader.vLoader)(size['s-12']);
var iconXxxl = (0, _varLoader.vLoader)(size['s-16']);

/**
 * 图标
 * @namespace component
 * @property module icon
 * @property category style
 */

var varMap = {
  /**
   * icon-xxs
   * @property semantic xxs
   * @property export size
   */
  'icon-xxs': iconXxs,
  /**
   * icon-xs
   * @property semantic xs
   * @property export size
   */
  'icon-xs': iconXs,
  /**
   * icon-s
   * @property semantic s
   * @property export size
   */
  'icon-s': iconS,
  /**
   * icon-m
   * @property semantic m
   * @property export size
   */
  'icon-m': iconM,
  /**
   * icon-l
   * @property semantic l
   * @property export size
   */
  'icon-l': iconL,
  /**
   * icon-xl
   * @property semantic xl
   * @property export size
   */
  'icon-xl': iconXl,
  /**
   * icon-xxl
   * @property semantic xxl
   * @property export size
   */
  'icon-xxl': iconXxl,
  /**
   * icon-xxxl
   * @property semantic xxxl
   * @property export size
   */
  'icon-xxxl': iconXxxl,
  /**
   * icon-font-path
   * @property semantic path
   * @property unconfigurable
   */
  'icon-font-path': '//at.alicdn.com/t/font_595713_851pnlzi16g',
  /**
   * icon-font-family
   * @property semantic family
   * @property unconfigurable
   */
  'icon-font-family': 'NukeIcon',
  /**
   * icon-content-right
   * @property semantic right
   * @property unconfigurable
   */
  'icon-content-right': 'e713',
  /**
   * icon-content-download
   * @property semantic download
   * @property unconfigurable
   */
  'icon-content-download': 'e637',
  /**
   * icon-content-download
   * @property semantic download
   * @property unconfigurable
   */
  'icon-content-accessory': 'e6DD',
  /**
   * icon-content-add
   * @property semantic add
   * @property unconfigurable
   */
  'icon-content-add': 'e655',
  /**
   * icon-content-camera
   * @property semantic camera
   * @property unconfigurable
   */
  'icon-content-camera': 'e6F0',
  /**
   * icon-content-close
   * @property semantic close
   * @property unconfigurable
   */
  'icon-content-close': 'e6F3',
  /**
   * icon-content-enter
   * @property semantic enter
   * @property unconfigurable
   */
  'icon-content-enter': 'e70C',
  /**
   * icon-content-feedback-fill
   * @property semantic feedback-fill
   * @property unconfigurable
   */
  'icon-content-feedback-fill': 'e70F',
  /**
   * icon-content-feedback
   * @property semantic feedback
   * @property unconfigurable
   */
  'icon-content-feedback': 'e710',
  /**
   * icon-content-homepage-fill
   * @property semantic homepage-fill
   * @property unconfigurable
   */
  'icon-content-homepage-fill': 'e71C',
  /**
   * icon-content-homepage
   * @property semantic homepage
   * @property unconfigurable
   */
  'icon-content-homepage': 'e71D',
  /**
   * icon-content-message-fill
   * @property semantic message-fill
   * @property unconfigurable
   */
  'icon-content-message-fill': 'e730',
  /**
   * icon-content-message
   * @property semantic message
   * @property unconfigurable
   */
  'icon-content-message': 'e72F',
  /**
   * icon-content-picture
   * @property semantic picture
   * @property unconfigurable
   */
  'icon-content-picture': 'e73F',
  /**
   * icon-content-info-fill
   * @property semantic info-fill
   * @property unconfigurable
   */
  'icon-content-info-fill': 'e746',
  /**
   * icon-content-info
   * @property semantic info
   * @property unconfigurable
   */
  'icon-content-info': 'e747',
  /**
   * icon-content-return
   * @property semantic return
   * @property unconfigurable
   */
  'icon-content-return': 'e74F',
  /**
   * icon-content-scan
   * @property semantic scan
   * @property unconfigurable
   */
  'icon-content-scan': 'e751',
  /**
   * icon-content-setup-fill
   * @property semantic setup-fill
   * @property unconfigurable
   */
  'icon-content-setup-fill': 'e757',
  /**
   * icon-content-setup
   * @property semantic setup
   * @property unconfigurable
   */
  'icon-content-setup': 'e758',
  /**
   * icon-content-share
   * @property semantic share
   * @property unconfigurable
   */
  'icon-content-share': 'e75A',
  /**
   * icon-content-success-fill
   * @property semantic success-fill
   * @property unconfigurable
   */
  'icon-content-success-fill': 'e761',
  /**
   * icon-content-success
   * @property semantic success
   * @property unconfigurable
   */
  'icon-content-success': 'e762',
  /**
   * icon-content-switch
   * @property semantic switch
   * @property unconfigurable
   */
  'icon-content-switch': 'e764',
  /**
   * icon-content-prompt
   * @property semantic prompt
   * @property unconfigurable
   */
  'icon-content-prompt': 'e766',
  /**
   * icon-content-tailor
   * @property semantic tailor
   * @property unconfigurable
   */
  'icon-content-tailor': 'e767',
  /**
   * icon-content-video
   * @property semantic video
   * @property unconfigurable
   */
  'icon-content-video': 'e776',
  /**
   * icon-content-warning-fill
   * @property semantic warning-fill
   * @property unconfigurable
   */
  'icon-content-warning-fill': 'e778',
  /**
   * icon-content-warning
   * @property semantic warning
   * @property unconfigurable
   */
  'icon-content-warning': 'e779',
  /**
   * icon-content-search
   * @property semantic search
   * @property unconfigurable
   */
  'icon-content-search': 'e77C',
  /**
   * icon-content-packup
   * @property semantic packup
   * @property unconfigurable
   */
  'icon-content-packup': 'e782',
  /**
   * icon-content-unfold
   * @property semantic unfold
   * @property unconfigurable
   */
  'icon-content-unfold': 'e783',
  /**
   * icon-content-delete
   * @property semantic delete
   * @property unconfigurable
   */
  'icon-content-delete': 'e6f4',
  /**
   * icon-content-delete-fill
   * @property semantic delete-fill
   * @property unconfigurable
   */
  'icon-content-delete-fill': 'e6f2',
  /**
   * icon-content-minus
   * @property semantic minus
   * @property unconfigurable
   */
  'icon-content-minus': 'e657'
};

exports.default = varMap;
module.exports = exports['default'];