'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _varLoader = require('../util/var-loader');

var line0 = (0, _varLoader.vLoader)(0);
var line1 = (0, _varLoader.vLoader)(1);
var line2 = (0, _varLoader.vLoader)(2);
var line3 = (0, _varLoader.vLoader)(4);
var lineSolid = (0, _varLoader.vLoader)('solid');
var lineDashed = (0, _varLoader.vLoader)('dashed');
var lineDotted = (0, _varLoader.vLoader)('dotted');

/**
 * 线条
 * @namespace component
 * @property module line
 * @property category style
 */

var varMap = {
  /**
   * line-0
   * @property semantic 无
   * @property export width
   */
  'line-0': line0,
  /**
   * line-1
   * @property semantic 细
   * @property export width
   */
  'line-1': line1,
  /**
   * line-2
   * @property semantic 常规
   * @property export width
   */
  'line-2': line2,
  /**
   * line-3
   * @property semantic 粗
   * @property export width
   */
  'line-3': line3,
  /**
   * line-solid
   * @property semantic 实线
   * @property unconfigurable
   * @property export style
   */
  'line-solid': lineSolid,
  /**
   * line-dashed
   * @property semantic 虚线
   * @property unconfigurable
   * @property export style
   */
  'line-dashed': lineDashed,
  /**
   * line-dotted
   * @property semantic 点线
   * @property unconfigurable
   * @property export style
   */
  'line-dotted': lineDotted
};

exports.default = varMap;
module.exports = exports['default'];