'use strict';

import * as size from './variables/size';
import * as color from './variables/color';
import * as corner from './variables/corner';
import * as font from './variables/font';
import * as line from './variables/line';
import * as shadow from './variables/shadow';
import * as icon from './variables/icon';
import * as loaders from './util/var-loader';
import * as mixin from './util/mixin';

const BaseVariables = {
    ...mixin,
    ...loaders,
    ...size,
    ...color,
    ...corner,
    ...font,
    ...line,
    ...shadow,
    ...icon
};
function injectCore(obj) {
    return Object.assign(BaseVariables, obj);
}
BaseVariables.injectCore = injectCore;
export default BaseVariables;
