'use strict';

export function padding() {
  const pt =
    arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
  const pr =
    arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : pt;
  const pb =
    arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : pt;
  const pl =
    arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : pr;

  return {
    paddingTop: pt,
    paddingRight: pr,
    paddingBottom: pb,
    paddingLeft: pl,
  };
}
export function margin() {
  const pt =
    arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
  const pr =
    arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : pt;
  const pb =
    arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : pt;
  const pl =
    arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : pr;

  return {
    marginTop: pt,
    marginRight: pr,
    marginBottom: pb,
    marginLeft: pl,
  };
}

export function border(
  width = 1,
  style = 'solid',
  color = '#ffffff',
  direction = null
) {
  if (typeof width === 'string' && width.indexOf('px') > -1) {
    width = width.split('px')[0] * 2;
  }
  if (direction) {
    const x = direction[0].toUpperCase() + direction.slice(1);
    return {
      [`border${x}Width`]: width,
      [`border${x}Style`]: style,
      [`border${x}Color`]: color,
    };
  }
  return {
    borderWidth: width,
    borderStyle: style,
    borderColor: color,
  };
}
