const isWeex = typeof callNative === 'function';
const platform = {
  iOS: false,
  android: false,
  weex: isWeex,
  web: !isWeex,
};

if (isWeex) {
  const WeexEnv =
    typeof window !== 'undefined' && window.__weex_env__
      ? Object.assign({}, window.__weex_env__)
      : Object.assign({}, WXEnvironment);
  platform.iOS = WeexEnv.platform === 'iOS';
  platform.android = WeexEnv.platform === 'android';
} else {
  const userAgent =
    typeof navigator !== 'undefined' && navigator.userAgent
      ? navigator.userAgent.toLowerCase()
      : 'iPhone';
  platform.iOS = /iPhone|iPod|iPad|IOS/i.test(userAgent);
  platform.android = /Android/i.test(userAgent);
}

export default platform;
