# 对话框

* order: 2

静态调用

---

```js
/** @jsx createElement */
import { createElement, Component, render } from 'rax';
import View from 'nuke-view';
import Text from 'nuke-text';
import Env from 'nuke-env';
import ScrollView from 'nuke-scroll-view';
import Dialog from 'nuke-dialog';
import Button from 'nuke-button';
import Page from 'nuke-page';

const msg =
  Env.appInfo.platform === 'iOS'
    ? 'A message should be a short, complete sentence.'
    : 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna wirl aliqua. Up exlaborum incididunt.';
let App = class NukeDemoIndex extends Component {
  constructor() {
    super();
  }

  confirm = () => {
    Dialog.confirm({
      title: 'A Short Title is Best',
      content: msg,
      locale: { confirm: 'Primary' },
    });
  };

  alert = () => {
    Dialog.alert({
      title: 'A Short Title is Best',
      content: msg,
      locale: { confirm: 'Primary' },
    });
  };
  alertLong = () => {
    Dialog.alert({
      title: 'A longer title can extend over multiple lines',
      content: msg,
      locale: { confirm: 'Primary' },
    });
  };
  show = () => {
    Dialog.show({
      title: 'Doctor shows',
      content: 'Your diagnosis',
    });
  };

  render() {
    return (
      <Page title="Dialog Static">
        <Page.Intro main="Alert" />
        <Button style={styles.btn} type="primary" onPress={this.alert}>
          Alert
        </Button>
        <Button style={styles.btn} type="primary" onPress={this.alertLong}>
          Alert with long title
        </Button>
        <Page.Intro main="Confirm" />
        <Button style={styles.btn} type="primary" onPress={this.confirm}>
          Confirm
        </Button>
      </Page>
    );
  }
};
var styles = {
  btn: {
    marginBottom: 30,
  },
};
render(<App />);
```
