import * as env from './env';

const nativeEnv = Object.assign({}, env);

let appInfo = '';
let params = {};
let runtimeInfo = {};
const WeexEnv =
  // eslint-disable-next-line
  typeof window !== 'undefined' && window.hasOwnProperty('__weex_env__')
    ? Object.assign({}, window.__weex_env__)
    : typeof WXEnvironment !== 'undefined'
      ? Object.assign({}, WXEnvironment)
      : {};
if (WeexEnv.appName === 'QN') {
  nativeEnv.isQNWeb = false;
  nativeEnv.isQNWeex = true;
}
appInfo = Object.assign({}, WeexEnv);
params = typeof __weex_data__ !== 'undefined' ? __weex_data__ : {};
runtimeInfo = typeof __weex_options__ !== 'undefined' ? __weex_options__ : {};
if (runtimeInfo.weex && typeof runtimeInfo.weex.config === 'object') {
  runtimeInfo = { ...runtimeInfo, ...runtimeInfo.weex.config };
}
nativeEnv.appInfo = appInfo;
nativeEnv.params = params;
nativeEnv.runtimeInfo = runtimeInfo;

export { nativeEnv };
