/** @jsx createElement */
import { createElement, Component, render } from 'rax';
import View from 'nuke-view';
import Text from 'nuke-text';
import Env from 'nuke-env';
import Page from 'nuke-page';

const { isWeex, isWeb, isQNWeb, isQNWeex, appInfo, params, runtimeInfo } = Env;
const styles = {
  result: {
    height: '480rem',
    margin: '30rem',
    padding: '10rem',
    backgroundColor: '#ffffff',
    justifyContent: 'center',
    alignItems: 'center',
  },
  resultText: {
    fontSize: '28rem',
    lines: 5,
    wordBreak: 'break-all', // for web
  },
  btns: {
    margin: '30rem',
  },
};
const App = class NukeDemoIndex extends Component {
  render() {
    return (
      <Page title="Env">
        <Page.Intro main="获取系统变量信息" />

        <View style={styles.result}>
          <Text style={styles.resultText}>
            isWeex:
            {isWeex}
            ,isWeb:
            {isWeb}
          </Text>
          <Text style={styles.resultText}>
            isQNWeex:
            {isQNWeex}
            ,isQNWeb:
            {isQNWeb}
          </Text>
          <Text style={styles.resultText}>
            appInfo:
            {JSON.stringify(appInfo)}
          </Text>
          <Text style={styles.resultText}>
            data:
            {JSON.stringify(params)}
          </Text>
          <Text style={styles.resultText}>
            runtimeInfo:
            {JSON.stringify(runtimeInfo)}
          </Text>
        </View>
      </Page>
    );
  }
};

render(<App />);
