# Link

* category: UI
* chinese: 链接
* type: UI 组件

---

## 设计思路

Link 可以作为布局容器使用，在 Native 端本质上是对 `@weex-module/navigator` 的封装，在 web 端使用 a 标签完成适配。

**因此 Link 标签的 href 支持的协议类型，需要看客户端上层做了哪些协议的适配，一般常见的有 http:,https:,mailto:,sms:,tel: 等**

Link 可以当一个容器组件使用，其子组件可以是 View、Text、Image 等。

```js
//跳转到h5页面
<Link href="https://m.taobao.com">
    <Text>姓名:</Text> <Text>王小二</Text>
</Link>

//发邮件
<Link href="mailto:yichen.hww@alibaba-inc.com">link标签发邮件</Link>

//发短信
<Link href="sms:10086">link标签发短信</Link>

//打电话
<Link href="tel:10086">link标签打电话</Link>
```

## API

### Link

| 属性   | 说明                                                 | 类型   | 默认值   |
| ------ | ---------------------------------------------------- | ------ | -------- |
| href   | 链接到下个页面的地址                                 | string | 无       |
| webUrl | 如果在 h5 降级时需要特别声明一个 url，可以使用此 API | string |
| target | 是否需要新窗口打开（仅 h5 生效）                     | string | '\_self' |
