/** @jsx createElement */
import { isWeex } from 'nuke-env';

export default function Alert(message, callbackOrButtons) {
  let okTitle;
  let okCallback;
  if (typeof callbackOrButtons === 'function') {
    okCallback = callbackOrButtons;
  } else if (callbackOrButtons instanceof Array) {
    callbackOrButtons.forEach((btn, index) => {
      const callback = btn.onPress;
      const text = btn.text;
      if (index === 0) {
        okTitle = text;
        okCallback = callback;
      }
    });
  }

  if (isWeex) {
    const Modal = require('@weex-module/modal');
    if (Modal.alert) {
      Modal.alert(
        {
          message,
          okTitle,
        },
        okCallback
      );
    }
  } else {
    alert(message);
    okCallback && okCallback();
  }
}
