# Navigator

* category: API
* chinese: 导航
* type: API 能力

---

## 何时使用

此组件与 Link 标签功能类似，可配合在不同的场景做页面跳转。

**注意：由于每个 app 对页面栈管理的逻辑可能存在巨大差异，因此本组件的 api 并非所有 app 内都有效，目前只兼容了 weex 的基础 api。请谨慎使用、测试。特殊 app 建议自行封装。**

## 设计思路

在 Native 端本质上是对 `@weex-module/navigator` 的封装，在 web 端使用 location.href 完成跳转。

## API

### Navigator.push(url,title,animate,extraParams)

* url : string, url 地址。url 支持的协议类型需要看客户端上层做了哪些适配，一般常见的有 http:, https:, mailto:, sms:, tel: 等
* title : 下级页面标题，title 能否被设置，因各个 app 实现逻辑不同，此参数并非所有 app 内都有效。
* animate: 是否存在过渡动画，默认 true，因各个 app 实现逻辑不同，此参数并非所有 app 内都有效。
* extraParams: 附加参数, 默认 {target:"\_self"}， 如果 target 设置为 "\_blank", h5 下会在新窗口打开页面。

### Navigator.pop()

返回上级页面，此方法并非所有 app 内都有效

```js
Navigator.push('xxxUrl', '页面标题');
Navigator.pop();
```
