'use strict';

var _module$exports;

var _nukeVarLoader = require('nuke-var-loader');

var _nukeCore = require('nuke-core');

var _nukeCore2 = _interopRequireDefault(_nukeCore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

////
/// @module radio: 单选框
/// @tag Radio
/// @category component
/// @family selector
/// @varPrefix $radio-
/// @classPrefix {prefix}-radio
////


// radio - size
// --------------------------------------------------

/// size
/// @namespace size/bounding
var radioMediumSizeWidth = (0, _nukeVarLoader.varLoader)('radio-medium-size-width', _nukeCore2.default['s6']);
var radioMediumSizeHeight = (0, _nukeVarLoader.varLoader)('radio-medium-size-height', radioMediumSizeWidth);
/// size
/// @namespace size/icon
var radioMediumIconSize = (0, _nukeVarLoader.varLoader)('radio-medium-icon-size', _nukeCore2.default['icon-s']);
var radioMediumSpanText = (0, _nukeVarLoader.varLoader)('radio-medium-span-text', radioMediumIconSize);
/// size
/// @namespace size/bounding
var radioSmallSizeWidth = (0, _nukeVarLoader.varLoader)('radio-small-size-width', _nukeCore2.default['s5']);
var radioSmallSizeHeight = (0, _nukeVarLoader.varLoader)('radio-small-size-height', radioSmallSizeWidth);
/// size
/// @namespace size/icon
var radioSmallIconSize = (0, _nukeVarLoader.varLoader)('radio-small-icon-size', _nukeCore2.default['icon-xs']);
var radioSmallSpanText = (0, _nukeVarLoader.varLoader)('radio-small-span-text', radioSmallIconSize);

// radio - normal
// --------------------------------------------------
/// width
/// @namespace size/border
var radioNormalBorderWidth = (0, _nukeVarLoader.varLoader)('radio-normal-border-width', _nukeCore2.default['line-1-width']);
/// border
/// @namespace statements/normal
var radioNormalBorderColor = (0, _nukeVarLoader.varLoader)('radio-normal-border-color', _nukeCore2.default['color-n1-7']);
/// corner
/// @namespace statements/normal
var radioNormalBorderRadius = (0, _nukeVarLoader.varLoader)('radio-normal-border-radius', _nukeCore2.default['corner-radius-circle']);
/// border-style
/// @namespace statements/normal
var radioNormalBorderStyle = (0, _nukeVarLoader.varLoader)('radio-normal-border-style', _nukeCore2.default['line-solid']);
/// background
/// @namespace statements/normal
var radioNormalBgColor = (0, _nukeVarLoader.varLoader)('radio-normal-bg-color', _nukeCore2.default['color-n1-1']);
/// icon
/// @namespace statements/selected
var radioNormalIconColorSelected = (0, _nukeVarLoader.varLoader)('radio-normal-icon-color-selected', _nukeCore2.default['color-n1-1']);
/// border
/// @namespace statements/selected
var radioNormalBorderColorSelected = (0, _nukeVarLoader.varLoader)('radio-normal-border-color-selected', _nukeCore2.default['color-b1-6']);
/// background
/// @namespace statements/selected
var radioNormalBgColorSelected = (0, _nukeVarLoader.varLoader)('radio-normal-bg-color-selected', _nukeCore2.default['color-b1-6']);
/// icon
/// @namespace statements/indeterminate
var radioNormalIconColorIndeterminate = (0, _nukeVarLoader.varLoader)('radio-normal-icon-color-indeterminate', _nukeCore2.default['color-b1-6']);
/// border
/// @namespace statements/indeterminate
var radioNormalBorderColorIndeterminate = (0, _nukeVarLoader.varLoader)('radio-normal-border-color-indeterminate', _nukeCore2.default['color-b1-6']);
/// background
/// @namespace statements/indeterminate
var radioNormalBgColorIndeterminate = (0, _nukeVarLoader.varLoader)('radio-normal-bg-color-indeterminate', _nukeCore2.default['color-n1-1']);
/// icon
/// @namespace statements/disabled
var radioNormalIconColorDisabled = (0, _nukeVarLoader.varLoader)('radio-normal-icon-color-disabled', _nukeCore2.default['color-n2-1']);
/// border
/// @namespace statements/disabled
var radioNormalBorderColorDisabled = (0, _nukeVarLoader.varLoader)('radio-normal-border-color-disabled', _nukeCore2.default['color-n1-6']);
/// background
/// @namespace statements/disabled
var radioNormalBgColorDisabled = (0, _nukeVarLoader.varLoader)('radio-normal-bg-color-disabled', _nukeCore2.default['color-n1-2']);

// radio - list
// --------------------------------------------------

/// icon
/// @namespace statements/selected
var radioListIconColorSelected = (0, _nukeVarLoader.varLoader)('radio-list-icon-color-selected', _nukeCore2.default['color-b1-6']);
/// icon
/// @namespace statements/disabled
var radioListIconColorDisabled = (0, _nukeVarLoader.varLoader)('radio-list-icon-color-disabled', _nukeCore2.default['color-n2-1']);
/// border
/// @namespace statements/disabled
var radioListBorderColorDisabled = (0, _nukeVarLoader.varLoader)('radio-list-border-color-disabled', _nukeCore2.default['color-n1-6']);
/// background
/// @namespace statements/disabled
var radioListBgColorDisabled = (0, _nukeVarLoader.varLoader)('radio-list-bg-color-disabled', _nukeCore2.default['color-n1-2']);

// unconfigurable
var radioMediumTouchWidth = (0, _nukeVarLoader.varLoader)('radio-medium-touch-width', _nukeCore2.default['s11']);
var radioMediumTouchHeight = (0, _nukeVarLoader.varLoader)('radio-medium-touch-height', _nukeCore2.default['s11']);
var radioSmallTouchWidth = (0, _nukeVarLoader.varLoader)('radio-small-touch-width', _nukeCore2.default['s11']);
var radioSmallTouchHeight = (0, _nukeVarLoader.varLoader)('radio-small-touch-height', _nukeCore2.default['s11']);

module.exports = (_module$exports = {}, _defineProperty(_module$exports, 'radio-medium-size-width', radioMediumSizeWidth), _defineProperty(_module$exports, 'radio-medium-size-height', radioMediumSizeHeight), _defineProperty(_module$exports, 'radio-medium-icon-size', radioMediumIconSize), _defineProperty(_module$exports, 'radio-medium-span-text', radioMediumSpanText), _defineProperty(_module$exports, 'radio-small-size-width', radioSmallSizeWidth), _defineProperty(_module$exports, 'radio-small-size-height', radioSmallSizeHeight), _defineProperty(_module$exports, 'radio-small-icon-size', radioSmallIconSize), _defineProperty(_module$exports, 'radio-small-span-text', radioSmallSpanText), _defineProperty(_module$exports, 'radio-normal-border-width', radioNormalBorderWidth), _defineProperty(_module$exports, 'radio-normal-border-color', radioNormalBorderColor), _defineProperty(_module$exports, 'radio-normal-border-radius', radioNormalBorderRadius), _defineProperty(_module$exports, 'radio-normal-border-style', radioNormalBorderStyle), _defineProperty(_module$exports, 'radio-normal-bg-color', radioNormalBgColor), _defineProperty(_module$exports, 'radio-normal-icon-color-selected', radioNormalIconColorSelected), _defineProperty(_module$exports, 'radio-normal-border-color-selected', radioNormalBorderColorSelected), _defineProperty(_module$exports, 'radio-normal-bg-color-selected', radioNormalBgColorSelected), _defineProperty(_module$exports, 'radio-normal-icon-color-indeterminate', radioNormalIconColorIndeterminate), _defineProperty(_module$exports, 'radio-normal-border-color-indeterminate', radioNormalBorderColorIndeterminate), _defineProperty(_module$exports, 'radio-normal-bg-color-indeterminate', radioNormalBgColorIndeterminate), _defineProperty(_module$exports, 'radio-normal-icon-color-disabled', radioNormalIconColorDisabled), _defineProperty(_module$exports, 'radio-normal-border-color-disabled', radioNormalBorderColorDisabled), _defineProperty(_module$exports, 'radio-normal-bg-color-disabled', radioNormalBgColorDisabled), _defineProperty(_module$exports, 'radio-list-icon-color-selected', radioListIconColorSelected), _defineProperty(_module$exports, 'radio-list-icon-color-disabled', radioListIconColorDisabled), _defineProperty(_module$exports, 'radio-list-border-color-disabled', radioListBorderColorDisabled), _defineProperty(_module$exports, 'radio-list-bg-color-disabled', radioListBgColorDisabled), _defineProperty(_module$exports, 'radio-medium-touch-width', radioMediumTouchWidth), _defineProperty(_module$exports, 'radio-medium-touch-height', radioMediumTouchHeight), _defineProperty(_module$exports, 'radio-small-touch-width', radioSmallTouchWidth), _defineProperty(_module$exports, 'radio-small-touch-height', radioSmallTouchHeight), _module$exports);