'use strict';

function VariableMix(theme) {
  const Core = theme.Core;
  const ComponentCustomStyle = theme.Radio;

  /**
   * 单选框
   * @namespace component
   * @property module radio
   * @property tag Radio
   * @property category component
   */

  const radioVaribles = {
    /**
     * size
     * @property namespace size/bounding
     */
    'medium-size': Core['s-6'],
    /**
     * size
     * @property namespace size/icon
     */
    'medium-icon-size': Core['icon-s'],
    /**
     * size
     * @property namespace size/icon
     */
    'medium-span-text': Core['icon-s'],
    /**
     * size
     * @property namespace size/bounding
     */
    'small-size': Core['s-5'],
    /**
     * size
     * @property namespace size/icon
     */
    'small-icon-size': Core['icon-xs'],
    /**
     * size
     * @property namespace size/icon
     */
    'small-span-text': Core['icon-xs'],

    // radio - normal
    // --------------------------------------------------
    /**
     * width
     * @property namespace size/normal/border
     */
    'normal-border-width': Core['line-2'],
    /**
     * border
     * @property namespace statement/normal
     */
    'normal-border-color': Core['color-line1-3'],


    /**
     * background
     * @property namespace statement/normal
     */
    'normal-bg-color': Core['color-white'],
    /**
     * color
     * @property namespace statement
     */
    'normal-icon-color': Core['color-transparent'],
    /**
     * color
     * @property namespace statement/selected
     */
    'normal-icon-color-selected': Core['color-white'],
    /**
     * border
     * @property namespace statement/selected
     */
    'normal-border-color-selected': Core['color-brand1-6'],
    /**
     * background
     * @property namespace statement/selected
     */
    'normal-bg-color-selected': Core['color-brand1-6'],
    /**
     * icon
     * @property namespace statement/disabled
     */
    'normal-icon-color-disabled': Core['color-text1-1'],
    /**
     * border
     * @property namespace statement/disabled
     */
    'normal-border-color-disabled': Core['color-line1-2'],
    /**
     * color
     * @property namespace statement/disabled
     */
    'normal-color-disabled': Core['color-line1-2'],
    /**
     * background
     * @property namespace statement/disabled
     */
    'normal-bg-color-disabled': Core['color-fill1-1'],

    /**
     * color
     * @property namespace statement/selected/disabled
     */
    'normal-icon-color-selected-disabled': Core['color-text1-1'],
    /**
     * border
     * @property namespace statement/selected/disabled
     */
    'normal-border-color-selected-disabled': Core['color-line1-2'],
    /**
     * background
     * @property namespace statement/selected/disabled
     */
    'normal-bg-color-selected-disabled': Core['color-fill1-1'],


    /**
     * width
     * @property namespace size/empty/border
     */
    'empty-border-width': Core['line-2'],
    /**
     * border
     * @property namespace statement/empty
     */
    'empty-border-color': Core['color-line1-3'],
    /**
     * corner
     * @property namespace statement/normal
     */
    'border-radius': Core['corner-infinite'],
    /**
     * border-style
     * @property namespace statement
     */
    'border-style': Core['line-solid'],
    /**
     * background
     * @property namespace statement
     */
    'empty-bg-color': Core['color-white'],

    /**
     * border
     * @property namespace statement/selected
     */
    'empty-border-color-selected': Core['color-brand1-6'],
    /**
     * border
     * @property namespace statement/selected-disabled
     */
    'empty-border-color-selected-disabled': Core['color-line1-2'],
    /**
     * background
     * @property namespace statement/selected
     */
    'empty-bg-color-selected': Core['color-white'],
    /**
     * background
     * @property namespace statement/seleced-disabled
     */
    'empty-bg-color-selected-disabled': Core['color-fill1-1'],
    /**
    * color
    * @property namespace statement/disabled-inner
    */
    'empty-color-selected-disabled': Core['color-text1-2'],

    /**
     * color
     * @property namespace statement/inner
     */
    'empty-color-selected': Core['color-brand1-6'],
    /**
     * color
     * @property namespace statement/inner-disabled
     */
    'empty-color-disabled': Core['color-line1-2'],

    /**
     * background
     * @property namespace statement/disabled
     */
    'empty-bg-color-disabled': Core['color-fill1-1'],

    /**
     * border
     * @property namespace statement/disabled
     */
    'empty-border-color-disabled': Core['color-line1-2'],



    //...

    // radio - list
    // --------------------------------------------------
    /**
     * border-width
     * @property namespace size/dot
     */
    'list-border-width': Core['line-0'],
    /**
     * icon
     * @property namespace statement/selected
     */
    'list-icon-color-selected': Core['color-brand1-6'],
    /**
     * icon
     * @property namespace statement/disabled
     */
    'list-icon-color-disabled': Core['color-text1-1'],
    /**
     * border
     * @property namespace statement/disabled
     */
    'list-border-color-disabled': Core['color-line1-2'],
    /**
     * border
     * @property namespace statement
     */
    'list-border-color': Core['color-white'],
    /**
     * background
     * @property namespace statement
     */
    'list-bg-color': Core['color-white'],
    /**
     * background
     * @property namespace statement/disabled
     */
    'list-bg-color-selected': Core['color-transparent'],
    /**
     * background
     * @property namespace statement/disabled
     */
    'list-bg-color-disabled': Core['color-fill1-1'],

    // radio - dot
    /**
     * border-width
     * @property namespace size
     */
    'dot-border-width': Core['line-3'],
    /**
     * background
     * @property namespace statement
     */
    'dot-bg-color': Core['color-white'],
    /**
     * border
     * @property namespace statement
     */
    'dot-border-color': Core['color-line1-3'],
    /**
     * border
     * @property namespace statement/selected
     */
    'dot-selected-border-color': Core['color-brand1-6'],


    /**
     * background
     * @property namespace statement
     */
    'dot-bg-color-selected': Core['color-brand1-6'],
    /**
     * border
     * @property namespace statement/disabled
     */
    'dot-border-color-disabled': Core['color-fill1-1'],

    /**
     * background
     * @property namespace statement/disabled
     */
    'dot-bg-color-disabled': Core['color-white'],
    /**
     * background
     * @property namespace statement/selected-disabled
     */
    'dot-bg-color-selected-disabled': Core['color-white'],
    /**
     * background
     * @property namespace statement/inner/disabled
     */
    'dot-point-bg-color-disabled': Core['color-fill1-1'],
    /**
     * text
     * @property namespace size/inner
     */
    'icon-small': Core['font-size-body-2'],

    /**
     * text
     * @property namespace size/inner
     */
    'icon-medium': Core['font-size-subhead'],

    /**
     * size
     * @property namespace size/inner
     */
    'dot-small-size': Core['s-2'],

    /**
     * size
     * @property namespace size/inner
     */
    'dot-medium-size': Core['s-3'],

    /**
     * height
     * @property namespace size/dot
     */
    'group-item-height': 80,

    'group-item-width': 750,
    /**
     * width
     * @property namespace size/touch
     */
    'medium-touch-width': Core['s-11'],
    /**
     * height
     * @property namespace size/touch
     */
    'medium-touch-height': Core['s-11'],
    /**
     * width
     * @property namespace size/touch
     */
    'small-touch-width': Core['s-11'],
    /**
     * height
     * @property namespace size/touch
     */
    'small-touch-height': Core['s-11'],
  };
  const variables = Object.assign(radioVaribles, ComponentCustomStyle);
  return variables;
}
module.exports = VariableMix;
