# Switch

* category: Components
* chinese: 开关
* type: 基本

---

## 何时使用

Switch 是状态切换的开关按钮组件。

## API

**注意：Switch 在客户端上是个非受控组件**

| 属性           | 说明                                                                          | 类型            | 默认值 |
| -------------- | ----------------------------------------------------------------------------- | --------------- | ------ |
| type           | 展现 安卓 还是 iOS 风格，如果不传，默认根据设备自动切换，可选 `android` `iOS` | 无              |
| disabled       | 开关是否可交互                                                                | boolean         | true   |
| defaultChecked | 默认是否选中（非受控用法）                                                    | boolean         | false  |
| onValueChange  | Switch 改变时调用此函数                                                       | function(value) | 无     |

## Demo

非受控用法： 组件自身自由改变，并通过事件通知外部改变成了什么。如下 demo :

```js
change = (value) => {
    console.log('switch 改变成了：',value);
}
//...
render(){
    return (<Switch defaultChecked={true} onValueChange={this.change}/>)
}
```
