# Util

* category: API
* chinese: 工具库
* type: API 能力

---

## API

Util 类提供常用方法

### Util.urlHelper

#### getSearchParameter (searchStr,key)

> 底层基于[qs](https://github.com/ljharb/qs/tree/master/lib)库，可以支持对象及数组的解析

解析 search 字符串的 key 值对应的 value

#### setSearchParameter(searchStr,param,option)

* searchStr 需要设置的 search 字符串

* param 参数列表

* 可选设置 option

  * keepOrigin bool[false] 是否保留原有 search 的 query
  * addQueryPrefix bool[true] 是否自动在入参 string 开头添加`?`
  * 其他参数支持 qs 库标准设置透传

```js
util.urlHelper.setSearchParameter('?a=1&b=2', { b: 3 }, { keepOrigin: true });

// 将会返回?a-1&b=3
```

```js
import { Util } from 'weex-nuke';
const getSearchParameter = Util.urlHelper.getSearchParameter;
// 解析 location.search 或序列化的字符串中， 中的 key 值对应的 value
const search = '?id=987&type=1'; // 或者 location.search
console.log('id==>', getSearchParameter(search, 'id'));
console.log('type==>', getSearchParameter(search, 'type'));
```
