export function url(value) {
  const pattern = /^(?:(?:https?|ftp):\/\/)?(?:(?!(?:10|127)(?:\.\d{1,3}){3})(?!(?:169\.254|192\.168)(?:\.\d{1,3}){2})(?!172\.(?:1[6-9]|2\d|3[0-1])(?:\.\d{1,3}){2})(?:[1-9]\d?|1\d\d|2[01]\d|22[0-3])(?:\.(?:1?\d{1,2}|2[0-4]\d|25[0-5])){2}(?:\.(?:[1-9]\d?|1\d\d|2[0-4]\d|25[0-4]))|(?:(?:[a-z\u00a1-\uffff0-9]-*)*[a-z\u00a1-\uffff0-9]+)(?:\.(?:[a-z\u00a1-\uffff0-9]-*)*[a-z\u00a1-\uffff0-9]+)*(?:\.(?:[a-z\u00a1-\uffff]{2,})))(?::\d{2,5})?(?:\/\S*)?$/i;
  return pattern.test(value);
}
// basic charactor
export function alphaNumeric(value) {
  const pattern = /^[A-Za-z0-9]+$/;
  return pattern.test(value);
}
// legal deciaml
export function decimal(value) {
  const pattern = /^[-+]?[0-9]\d*(\.\d+)?$/;
  return pattern(value);
}
// exist or not
export function existy(value) {
  return value !== null && value !== undefined;
}

export function func(value) {
  return Object.prototype.toString.call(value) === '[object Function]';
}

export function emptyObj(value) {
  return Object.keys(value).length === 0 && value.constructor === Object;
}
