/**
 * 给每个package打包，发布upx
 */
const path = require('path');
const log = require('../utils/log');
const file = require('../utils/file');
const upx = require('../utils/upx');
const exec = require('../webpack/upx/exec');
const components = require('../webpack/upx/config').component;

/**
 * upx的发布需要按照依赖次序依次发布，并确保发布成功.
 */
module.exports = async function (cwd, args) {
  process.env.NODE_ENV = 'production';
  for (const com of components) {
    const entryDir = path.join(cwd, 'packages', com);
    await file.deleteUpxDepsFiles(entryDir);
    await exec(entryDir);
    log.info(`=========UPX done ${com}=========`);
    await upx.publish(entryDir);
  }
};
