/**
 * command dispatch
 * @dubu
 */
const program = require('commander');
const path = require('path');
const co = require('co');

const cwd = process.cwd();

program
  .command('*')
  .description('dispath misson')
  .action((cmd) => {
    const availableCommands = ['init', 'build', 'dev', 'upx'];
    const filePath = path.join(__dirname, `cmd/${cmd}`);

    function callback() {
      const args = process.argv.slice(3);
      let runner;

      try {
        runner = require(filePath);
      } catch (err) {
        onError(err);
      }

      co(function* () {
        if (runner.constructor.name === 'GeneratorFunction') {
          yield* runner(cwd, args);
        } else {
          runner(cwd, args);
        }
      }).catch(onError);
    }
    if (availableCommands.indexOf(cmd) === -1) {
      program.outputHelp();
      process.exit(1);
    } else {
      callback();
    }
  });
program.on('--help', () => {
  console.log('');
  console.log('    dev              start dev server');
  console.log('    init             init a new package');
  console.log('    build            babel package');
  console.log('    test             execute unit test case');
  console.log('    lint             execute eslint');
  console.log('');
});

program.parse(process.argv);

function onError(err) {
  console.log('[Error]');
  console.log(err.stack || err);
  process.exit(1);
}
