'use strict';

const ProgressBarPlugin = require('progress-bar-webpack-plugin');
const RmMultiEndName = require('./rm-multi-name-plugin');
const DepsMapPlugin = require('@ali/deps-json-webpack-plugin/plugin');
const path = require('path');
const chalk = require('chalk');
const webpack = require('webpack');

function getPlugins(abcOptions) {
  const plugins = [];

  // 暂时只为 rax 提供服务的 plugin
  abcOptions.isComponent = true;
  abcOptions.isDev = true;
  abcOptions.depsJsonDest = path.join(abcOptions.options.entryDir, 'build');
  plugins.push(new DepsMapPlugin(abcOptions));
  plugins.push(new RmMultiEndName(abcOptions)); // 规范最终生成代码的 index.web、index.native的 define 入口规范成 index

  plugins.push(
    new webpack.DefinePlugin({
      'process.env': {
        NODE_ENV: JSON.stringify('production'),
      },
    })
  );
  plugins.push(
    new ProgressBarPlugin({
      format: `${chalk.cyan('build')} [:bar] ${chalk.green.bold(':percent')} (:elapsed seconds)`,
      clear: false,
      width: 100,
    })
  );

  return plugins;
}

module.exports = getPlugins;
