/**
 * 模块内容
 * 比如将 define("modName/xxx.native", [ 替换成 define("modName/index", [
 * 注意有可能是 index.native 或 index.web
 */

function replaceContent(options, source) {
  return function () {
    source = source.replace(/define\(\"(\S+?)(\.web|\.native|\.weex)\",/, 'define("$1",');
    return source;
  };
}

function Mod(options) {
  this.options = options;
}
module.exports = Mod;
Mod.prototype.apply = function (compiler) {
  const options = this.options;
  compiler.plugin('emit', (Compilation, callback) => {
    const assets = Compilation.assets;
    for (const name in assets) {
      if (!/\.js$/.test(name)) continue;
      const source = assets[name].source();
      Compilation.assets[name].source = replaceContent.call(this, options, source);
    }
    callback();
  });
};
